> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read holding

>  

Read a specific holding.


## OpenAPI

````yaml openapi/nexus/v1.yaml GET /holdings/{holding_guid}
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /holdings/{holding_guid}:
    get:
      tags:
        - holdings
      summary: Read holding
      description: Read a specific holding.
      operationId: readHolding
      parameters:
        - name: holding_guid
          description: The unique identifier for a holding. Defined by MX.
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/HoldingResponseBody'
components:
  schemas:
    HoldingResponseBody:
      properties:
        holding:
          $ref: '#/components/schemas/HoldingsResponse'
      type: object
    HoldingsResponse:
      properties:
        account_guid:
          description: Unique identifier for the account. Defined by MX.
          type: string
          example: ACT-a8ba7faa-6ce8-4e05-a8b4-bd02ae2b8b9d
        allocations_cash:
          description: The percentage of a holding held in cash or cash equivalents.
          type: number
          example: 88.0948
        allocations_convertible:
          description: >-
            The percentage of a holding held in convertible shares (often in the
            form of preferred shares or bonds).
          type: number
          example: 48.6542
        allocations_foreign_bond:
          description: The percentage of a holding held in US bonds.
          type: number
          example: 0.0139
        allocations_foreign_stock:
          description: The percentage of a holding held in non-US stocks.
          type: number
          example: 87.8851
        allocations_other:
          description: >-
            The percentage of a holding held in otherwise undefined assets. Real
            estate, commodities, and precious metals are examples of 'other'
            assets.
          type: number
          example: 0.0542
        allocations_preferred:
          description: The percentage of a holding held in preferred stocks.
          type: number
          example: 43.5169
        allocations_unknown:
          description: >-
            The percentage of a holding held in assets that are currently
            undefined by MX.
          type: number
          example: 0.023
        allocations_us_bond:
          description: The percentage of a holding held in US bonds.
          type: number
          example: 0.0563
        allocations_us_stock:
          description: The percentage of a holding held in US stocks.
          type: number
          example: 45.0999
        bond_coupon_rate:
          description: The coupon rate for a bond.
          type: number
          nullable: true
        bond_coupon_rate_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        bond_coupon_rate_set_by_name:
          description: The source that set the data (FEED, USER, or SYSTEM).
          example: FEED
          type: string
          nullable: true
        bond_maturity_date:
          description: >-
            The bond maturity date, represented in ISO 8601 format without a
            timestamp.
          example: '2015-04-13T00:00:00.000Z'
          type: string
          nullable: true
        bond_maturity_date_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        bond_maturity_date_set_by_name:
          description: The source that set the data (FEED, USER, or SYSTEM).
          example: FEED
          type: string
          nullable: true
        cost_basis:
          description: >-
            The cost basis is the original value of an asset adjusted for stock
            splits, dividends, and capital distributions.
          type: number
          nullable: true
        cost_basis_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        cost_basis_set_by_name:
          description: The source that set the data (FEED, USER, or SYSTEM).
          example: FEED
          type: string
          nullable: true
        cost_basis_updated_at:
          description: >-
            Date and time the cost basis was last updated, represented in ISO
            8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
          type: string
          example: '2015-04-13T12:01:23.000Z'
          nullable: true
        created_at:
          description: >-
            Date and time the holding was created, represented in ISO 8601
            format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
          type: string
          nullable: true
        currency_code:
          description: The ISO 4217 three-character currency code (e.g. USD).
          type: string
          example: USD
        currency_code_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        currency_code_set_by_name:
          description: The source that set the data (FEED, USER, or SYSTEM).
          example: FEED
          type: string
          nullable: true
        daily_change:
          description: The change from the previous day in the price of the security.
          type: number
          nullable: true
        daily_change_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        daily_change_set_by_name:
          description: The source that set the data (FEED, USER, or SYSTEM).
          example: FEED
          type: string
          nullable: true
        deleted_at:
          description: >-
            Date and time the holding was deleted, represented in ISO 8601
            format with timestamp.
          example: '2015-04-13T12:01:23.000Z'
          type: string
        description:
          description: Description of the holding.
          example: a description
          type: string
        description_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          type: integer
          example: 1
        description_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          type: string
          nullable: true
        equity_classification:
          description: >-
            A graphical representation of the investment style of the stocks and
            stock funds within a holding according to the Morningstar Style Box.
            See Holding Classification for more information.
          type: integer
          example: 5
        equity_classification_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          type: integer
          example: 2
        equity_classification_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          type: string
          nullable: true
        external_guid:
          description: Partner created identifier for the holding.
          type: string
          example: holding-be73487f-2cd2-4a99-b78c-2f8fb866cbed
        fixed_income_classification:
          description: >-
            A graphical representation of the investment style of the fixed
            income funds within a holding (like bonds) according to the
            Morningstar Style Box. See Fixed Income Classification for more
            information.
          type: integer
          nullable: true
        fixed_income_classification_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          type: integer
          nullable: true
        fixed_income_classification_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          type: string
          nullable: true
        feed_bond_coupon_rate:
          description: >-
            The bond coupon rate, as provided by our data feed. See
            `bond_coupon_rate` for more information.
          type: number
          nullable: true
        feed_bond_maturity_date:
          description: >-
            The bond maturity date, as provided by our data feed. See
            `bond_maturity_date` for more information.
          type: string
          nullable: true
        feed_cost_basis:
          description: >-
            The cost basis, as provided by our data feed. See `cost_basis` for
            more information.
          type: number
          nullable: true
        feed_currency_code:
          description: >-
            The ISO 4217 three-character currency code, as provided by our data
            feed. See `currency_code` for more information.
          type: string
          nullable: true
        feed_cusip:
          description: >-
            The Committee on Uniform Securities Identification Procedures
            (CUSIP) classification code, as provided by our data feed. See
            `cusip` for more information.
          type: string
          nullable: true
        feed_daily_change:
          description: >-
            The change from the previous day in the price of the security, as
            provided by our data feed. See `daily_change` for more information.
          type: number
          nullable: true
        feed_description:
          description: >-
            The description, as provided by our data feed. See `description` for
            more information.
          type: string
          nullable: true
        feed_equity_classification:
          description: >-
            The equity classification, as provided by our data feed. See
            `equity_classification` for more information.
          type: integer
          nullable: true
        feed_fixed_income_classification:
          description: >-
            The fixed income classification, as provided by our data feed. See
            `fixed_income_classification` for more information.
          type: integer
          nullable: true
        feed_isin:
          description: >-
            The International Securities Identification Number (ISIN), as
            provided by our data feed. See `isin` for more information.
          type: string
          nullable: true
        feed_market_value:
          description: >-
            The current market value of the holding, as provided by our data
            feed. See `market_value` for more information.
          type: number
          nullable: true
        feed_purchase_price:
          description: >-
            The purchase price, as provided by our data feed. See
            `purchase_price` for more information.
          type: number
          nullable: true
        feed_sector:
          description: >-
            The area of the economy the holding is invested in, as provided by
            our data feed. See `sector` for more information.
          type: integer
          nullable: true
        feed_sedol:
          description: >-
            The Stock Exchange Daily Official List (SEDOL) classification code,
            as provided by our data feed. See `sedol` for more information.
          type: string
          nullable: true
        feed_shares:
          description: >-
            The number of shares, as provided by our data feed. See `shares` for
            more information.
          type: number
          nullable: true
        feed_symbol:
          description: >-
            The ticker symbol, as provided by our data feed. See `symbol` for
            more information.
          type: string
          nullable: true
        guid:
          description: Unique transaction identifier. Defined by MX.
          type: string
          example: holding-be73487f-2cd2-4a99-b78c-2f8fb866cbed
        holding_type:
          description: The type of holding, such as Mutual Fund, Equity, or Bond.
          type: integer
          example: 1
        holding_type_name:
          description: The name of the holding type.
          type: string
          example: EQUITY
        holding_type_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        holding_type_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          example: FEED
          type: string
          nullable: true
        is_deleted:
          description: >-
            If the holding is deleted, this field will be true. Otherwise, this
            field will be false.
          type: boolean
          example: true
        isin:
          description: >-
            The International Securities Identification Number (ISIN) in ISO
            6166 format.
          type: string
          nullable: true
        isin_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        isin_set_by_name:
          description: The source that set the data (FEED, USER, or SYSTEM).
          example: FEED
          type: string
          nullable: true
        large_core_weight:
          description: >-
            The percentage of a holding's stock value with a large core
            investment style.
          type: number
          example: 0.053
        large_growth_weight:
          description: >-
            The percentage of a holding's stock value with a large growth
            investment style.
          type: number
          example: 63.7687
        large_value_weight:
          description: >-
            The percentage of a holding's stock value with a large value
            investment style.
          type: number
          example: 0.0103
        market_value:
          description: The market value of the holding.
          type: number
          example: 618
        market_value_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        market_value_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          example: FEED
          type: string
          nullable: true
        member_is_managed_by_user:
          description: >-
            If the member the holding belongs to is managed by the user, this
            field will be true. Otherwise, the member is managed by the MX
            partner and this field will be false. Members created with Nexus are
            considered to be managed by the user.
          type: boolean
          example: false
        metadata:
          description: Additional information a partner can store on the holding.
          example: Additional Information
          type: string
        mid_core_weight:
          description: >-
            The percentage of a holding's stock value with a mid core investment
            style.
          type: number
          example: 61.9756
        mid_growth_weight:
          description: >-
            The percentage of a holding's stock value with a mid growth
            investment style.
          type: number
          example: 0.4567
        mid_value_weight:
          description: >-
            The percentage of a holding's stock value with a mid value
            investment style.
          type: number
          example: 0.0563
        purchase_price:
          description: The purchase price of the holding.
          type: number
          example: 35
        purchase_price_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        purchase_price_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          example: FEED
          type: string
          nullable: true
        sector:
          description: The area of the economy the holding is invested in.
          type: integer
          example: 205
        sector_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        sector_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          example: FEED
          type: string
          nullable: true
        sedol:
          description: >-
            The Stock Exchange Daily Official List (SEDOL) classification code,
            represented as a seven-character code (e.g. B03MM40).
          type: string
          example: null
          nullable: true
        sedol_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        sedol_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          example: FEED
          type: string
          nullable: true
        shares:
          description: The number of shares owned for this holding.
          type: number
          example: 125
        shares_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        shares_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          example: FEED
          type: string
          nullable: true
        small_core_weight:
          description: >-
            The percentage of funds allocated to a small-cap, core equity
            holding.
          type: number
          example: 0.5
        small_growth_weight:
          description: >-
            The percentage of funds allocated to a small-cap, growth equity
            holding.
          type: number
          example: 0.3
        small_value_weight:
          description: >-
            The percentage of funds allocated to a small-cap, value equity
            holding.
          type: number
          example: 0.3
        symbol:
          description: >-
            The symbol that refers to the ticker symbol of the security (e.g.
            AAPL for Apple, Inc.).
          type: string
          example: HDP
        symbol_set_by:
          description: The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ).
          example: 1
          type: integer
          nullable: true
        symbol_set_by_name:
          description: The source that set the data ( FEED, USER, or SYSTEM ).
          example: FEED
          type: string
          nullable: true
        updated_at:
          description: >-
            Date and time the transaction was updated, represented in ISO 8601
            format with timestamp.
          example: '2015-04-13T12:01:23.000Z'
          type: string
        unknown_weight:
          description: >-
            The percentage of a holding's stock value with an investment style
            currently undefined by MX.
          type: number
          example: 0.0521
        user_guid:
          description: Unique identifier for the user. Defined by MX.
          type: string
          example: USR-11141024-90b3-1bce-cac9-c06ced52ab4c
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````